# Interface methods for submodule: FFTPadImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PadImageFilterBaseProxy as _PadImageFilterBaseProxy


# Interface methods for class: FFTPadImageFilter
class FFTPadImageFilterProxy(_PadImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

	def SetSizeGreatestPrimeFactor(self, _arg: int) -> None:
		""""""
		...

